package de.hftstuttgart.buildingphysics.application.handlers;

import org.eclipse.e4.core.di.annotations.Execute;
import org.eclipse.jface.dialogs.MessageDialog;
import org.eclipse.swt.widgets.Shell;

public class AboutHandler {
	@Execute
	public void execute(Shell shell) {
		String txt = """
				HfT Stuttgart - Building Physics Catalog
				----------------------------------------

				Java version: %s
				Java vendor: %s
				java.vm.version: %s
				java.version.date: %s""";
		MessageDialog.openInformation(shell, "About",
				txt.formatted(System.getProperty("java.version"), System.getProperty("java.vendor"),
						System.getProperty("java.vm.version"), System.getProperty("java.version.date")));
	}
}
