# Building Physics Catalog Data Model and Editor

**Important: This is a prototype and work in progress!!**

## How to Use

1. Ensure Java 11 or higher is available (if not, install AdoptOpenJDK 15)
2. Install Eclipse Modeling Tools, version 2020-09 or higher
3. Install m2e and tycho configurators to enable Maven
 * Add Maven support via `Help -> Install New Software...` from update site `http://download.eclipse.org/technology/m2e/releases`, check `Maven Integration for Eclipse` (m2e) and accept all defaults
 * Go to `Eclipse Preferences... -> Maven -> Discovery` and press `Open Catalog`, Find: `tycho` and check `Tycho Configurator`, Press `Finish`.
4. Import all Eclipse projects in this GIT repository via `File -> Import... -> Projects from GIT -> Clone URI`
5. Refresh and clean/build projects
6. Select file `de.hftstuttgart.buildingphysics.application.product` and execute `Open With -> Product Configuration Editor`, in `Overview`, section `Testing`, press `Synchronize` first and `Launch an Eclipse Application` second. Validation will fail, but nevertheless, proceed to generate a Runtime Configuration, albeit incomplete for now.
7. Open `Run -> Run Configuration...`, select newly created run configuration and execute `Add Required Plug-ins` under tab `Plug-ins`, `Apply` and `Run`
7. Run/Debug from Eclipse IDE: Press `New...` to ceate a new empty Building Physics Catalog; Save and Load buttons are also available.
8. Build deliverables with Maven: Select project `de.hftstuttgart.buildingphysics.parent` and execute `Run As -> Maven install`


## How to Create

Find background information about parameter catalogs for simulation and a tutorial on how to create them at [https://transfer.hft-stuttgart.de/gitlab/neqmodplus/parameter-catalogs-for-simulation](https://transfer.hft-stuttgart.de/gitlab/neqmodplus/parameter-catalogs-for-simulation).

